#!/usr/bin/env python
# encoding=utf-8
# setup.py

#from distutils.core import setup
#import py2exe
#
##setup(console=['webmarks.py'])
#
#setup(name='webmarks',
#      version='1.0',
#      py_modules=['webmarks'],
#      )

#!/usr/bin/env python



from distutils.core import setup
import glob
import os
import string
	
# read the version from the gpodder main program
app_version = os.popen( "cat src/webmarx/settings.py |grep ^__version__.*=|cut -d\\\" -f2").read().strip()

# translations
languages = [ "de", ]
translation_files = []

# add translated files to translations dictionary
for l in languages:
    translation_files.append( ("share/locale/%s/LC_MESSAGES" % l, [ "share/locale/%s/LC_MESSAGES/webmarx.mo" % l ]) )
	
data_files = [
	('share/webmarx',       glob.glob( 'share/webmarx/*.*')),
	('share/applications', 	['share/webmarx.desktop']),
	('share/pixmaps',      	['share/webmarx.png']),
	("doc/webmarx", 	["doc/webmarx/COPYING"]),
	("doc/webmarx", 	["doc/webmarx/COPYING-LGPL"]),
	("doc/webmarx", 	["doc/webmarx/COPYING-PYTHON"]),
	("doc/webmarx", 	["doc/webmarx/README"]),	
]

data_files += [

	('share/icons/hicolor/scalable/apps', [ 'share/icons/scalable/webmarx.svg' ]),
	('share/icons/hicolor/96x96/apps', [ 'share/icons/96/webmarx.png' ]),
	('share/icons/hicolor/72x72/apps', ['share/icons/72/webmarx.png']),
	('share/icons/hicolor/64x64/apps', ['share/icons/64/webmarx.png']),
	('share/icons/hicolor/48x48/apps', ['share/icons/48/webmarx.png']),
	('share/icons/hicolor/36x36/apps', ['share/icons/36/webmarx.png']),
	('share/icons/hicolor/32x32/apps', ['share/icons/32/webmarx.png']),
	('share/icons/hicolor/26x26/apps', ['share/icons/26/webmarx.png']),
	('share/icons/hicolor/24x24/apps', ['share/icons/24/webmarx.png']),
	('share/icons/hicolor/22x22/apps', ['share/icons/22/webmarx.png']),
	('share/icons/hicolor/20x20/apps', ['share/icons/20/webmarx.png']),
	('share/icons/hicolor/16x16/apps', ['share/icons/16/webmarx.png']),
]

setup(
  name         = 'WebMarX',
  version      = app_version,
  license      = 'GPL',
  package_dir  = { '':'src' },
  packages     = [ 'webmarx', 'webmarx/plugins' ],
  
  description  = 'bookmark management',
  author       = 'Rainer Haage',
  author_email = 'webmarx@createweb.de',
  url          = 'http://webmarx.createweb.de/',
  scripts      = [ 'bin/webmarx.py', 'bin/webmarx' ],
  data_files   = data_files + translation_files
)

